com.fasterxml.jackson.databind.ser.std

## Class StdKeySerializers.CalendarKeySerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<Calendar>
    - - com.fasterxml.jackson.databind.ser.std.StdKeySerializers.CalendarKeySerializer

All Implemented Interfaces:
  JsonFormatVisitable, SchemaAware, Serializable

Enclosing class:
  StdKeySerializers

Deprecated.

    @Deprecated
    public static class StdKeySerializers.CalendarKeySerializer
    extends StdSerializer<Calendar>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`JsonSerializer.None`

### Field Summary

Fields
`protected static JsonSerializer<?>` `instance` Deprecated.

### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_handledType`

### Constructor Summary

Constructors
Constructor and Description
`StdKeySerializers.CalendarKeySerializer()` Deprecated.

### Method Summary

Methods
`void` `serialize(Calendar value, JsonGenerator g, SerializerProvider provider)` Deprecated. Method that can be called to ask implementation to serialize values of type this serializer handles.

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`acceptJsonFormatVisitor, createObjectNode, createSchemaNode, createSchemaNode, findConvertingContentSerializer, findPropertyFilter, getSchema, getSchema, handledType, isDefaultSerializer, wrapAndThrow, wrapAndThrow`

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`getDelegatee, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    protected static final JsonSerializer<?> instance

Deprecated.

### Constructor Detail

#### StdKeySerializers.CalendarKeySerializer

    public StdKeySerializers.CalendarKeySerializer()

Deprecated.

### Method Detail

#### serialize

    public void serialize(Calendar value,
                 JsonGenerator g,
                 SerializerProvider provider)
                   throws IOException

Deprecated.
Description copied from class: `JsonSerializer`
Method that can be called to ask implementation to serialize values of type this serializer handles.

Specified by:
  `serialize` in class `StdSerializer<Calendar>`
Parameters:
  `value` - Value to serialize; can not be null.
  `g` - Generator used to output resulting Json content
  `provider` - Provider that can be used to get serializers for serializing Objects value contains, if any.
Throws:
  `IOException`